Bug 1023363 - oo-admin-check-source tool show wrong prompt message when finding priority conflicts with rhn
oo-admin-check-source tool show wrong prompt message when finding priority c...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 05:26 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-25 05:26:52 EDT
Description of problem:
When the tool find there are priority conflicts with rhn, it gives out wrong  prompt message.

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-extras/tree/enterprise-2.0/admin/check-sources

How reproducible:
always

Steps to Reproduce:
1.register rhn channel 
#rhnreg_ks --username=user --password=passwd --serverUrl=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC
#rhn-channel -a -c rhel-x86_64-server-6-ose-1.2-infrastructure -u user -p passwd 
2.disable the broker channel 
#vim /etc/yum/pluginconf.d/rhnplugin.conf
...
[rhel-x86_64-server-6-ose-1.2-infrastructure]
enabled=1
priority = 10
[rhel-x86_64-server-6]
priority = 99
enabled=1
3.check the resources
#./oo-admin-check-sources.py -r broker -o 1.2  

Actual results:
Output:
To resolve conflicting repositories, update /yum/pluginconf.d/rhnplugin.conf with the following changes:
Set priority=20 in the [rhel-x86_64-server-6] section
The path /yum/pluginconf.d/rhnplugin.conf is wrong,it should be:
/etc/yum/pluginconf.d/rhnplugin.conf

Expected results:
Should give out the correct path!

Additional info:
Comment 2 John W. Lamb 2013-10-25 16:57:19 EDT
Fixed in https://github.com/openshift/openshift-extras/pull/114
Comment 3 Ma xiaoqiang 2013-10-27 21:35:44 EDT
check on the new version
#vim /etc/yum/pluginconf.d/rhnplugin.conf          
[rhel-x86_64-server-6-ose-1.2-infrastructure]
enabled=1
priority = 50

[rhel-x86_64-server-6]
priority = 20
enabled=1

#python oo-admin-check-sources.py -r broker -o 1.2 
Checking if yum-plugin-priorities is installed
Checking channel/repository priorities
Resolving repository/channel/subscription priority conflicts
To resolve conflicting repositories, update /etc/yum/pluginconf.d/rhnplugin.conf with the following changes:
    Set priority=10 in the [rhel-x86_64-server-6-ose-1.2-infrastructure] section

Note You need to log in before you can comment on or make changes to this bug.